﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="NormalRep.rdlc" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="NormalRep.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="7.0.4" />
    <PackageReference Include="ReportViewerCore.WinForms" Version="15.1.17" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="DSRep.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>DSRep.xsd</DependentUpon>
    </Compile>
    <Compile Update="DstNormalRep.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>DstNormalRep.xsd</DependentUpon>
    </Compile>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <None Update="DSRep.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>DSRep.Designer.cs</LastGenOutput>
    </None>
    <None Update="DstNormalRep.xsd">
      <Generator>MSDataSetGenerator</Generator>
      <LastGenOutput>DstNormalRep.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>

</Project>